カスタムドメイン
GET https://oohbe.com/api/domains/
curl --request GET \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:host。 |
| is_enabled | オプション ブール値 | |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | 開始日時 |
| datetime_end | オプション 文字列 | 終了日時 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:domain_id, datetime, last_datetime, host。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-07-01 19:43:50"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oohbe.com/api/domains?page=1",
"last": "https://oohbe.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://oohbe.com/api/domains?page=1"
}
}
GET https://oohbe.com/api/domains/{domain_id}
curl --request GET \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-07-01 19:43:50"
}
}
POST https://oohbe.com/api/domains
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | 必須 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://oohbe.com/api/domains/{domain_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | オプション 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://oohbe.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \